%define	name	gnome-power-manager
%define version	2.32.0
%define	release	%mkrel 2

Summary:	GNOME Power Manager
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gnome-power-manager/
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/%{name}-%{version}.tar.xz
Patch1:		gnome-power-manager-2.27.1-dont-run-in-xfce.patch
Patch2:		gnome-power-manager-2.32.0-bug644143.patch
Patch3:		gnome-power-manager-2.32.0-libnotify0.7.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	libgnomeui2-devel >= 2.10.0
BuildRequires:	libglade2.0-devel >= 2.5.0
BuildRequires:	libwnck-devel >= 2.10.0
BuildRequires:	hal-devel >= 0.5.6
BuildRequires:	dbus-devel >= 0.50
BuildRequires:  libcanberra-devel
BuildRequires:	autoconf2.5
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libnotify-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	xmlto
BuildRequires:	libxslt-proc
BuildRequires:  libtool
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
BuildRequires:	libpanel-applet-devel
BuildRequires:  policykit-gnome-devel
BuildRequires:  unique-devel
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:	libupower-glib-devel
Requires:	gnome-mime-data
Requires:	gnome-icon-theme
Requires:	hal >= 0.5.6
Requires:	notification-daemon >= 0.2.2
Requires:	upower
Requires:	libupower-glib1
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:  policykit-gnome
Requires(pre): GConf2
Obsoletes:  %name < %version

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%description -l de
GNOME Power Manager verwendet die HAL zur Verfügung gestellten Informationen 
und Einrichtungen. Zeigt Symbole an und handhabt Benutzerrückrufe in einer 
interaktiven GNOME-Sitzung. GNOME Power-Einstellungen ermöglicht autorisierten 
Benutzern das Festlegen der Richtlinien und Ändern der Einstellungen.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build


%configure2_5x --disable-schemas-install --disable-scrollkeeper \
	--with-doc-dir=%{_datadir}/doc \
	--with-dbus-services=%{_datadir}/dbus-1/services


%make

%install
rm -rf %{buildroot}
%makeinstall_std



rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-System-Configuration-GNOME" \
	--add-category="DesktopSettings" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/gnome-power-preferences.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README 
%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop
%{_bindir}/*
%_sbindir/gnome-power-backlight-helper
%_datadir/polkit-1/actions/org.gnome.power.policy
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/gnome-power-manager
%{_datadir}/gnome/help/gnome-power-manager
%{_datadir}/omf/gnome-power-manager
#%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/gnome-*
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server
%_libexecdir/gnome-brightness-applet
%_libexecdir/gnome-inhibit-applet
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Wed Jul 13 2011 Texstar <texstar at gmail.com> 2.32.0-2pclos2011
- rebuild against update libs

* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Wed Sep 15 2010 Texstar <texstar at gmail.com> 2.30.2-3pclos2010
- rebuild new ssl

* Thu May 13 2010 slick50 <lxgator@gmail.com> 2.30.2-2pclos2010
- rebuild
- fix brightness applet

* Thu May 13 2010 slick50 <lxgator@gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Mon Mar 29 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new stable version

* Tue Mar 16 2010 siamer <siamer@wp.pl> 2.29.91-1pclos2010
- new version = fixing hibernation (not working with 2.29.1)

* Sat Dec 26 2009 maik3531 <maik3531 at yahoo dot de> 2.29.1-3pclos2010
- 2.29.1
- sync with mdv add xfce patch remove powerpolicy patch
- add german description

* Sun Oct 11 2009 Texstar <texstar at gmail.com> 2.28.0-3pclos2010
- back down to previous release for now

* Sun Oct 11 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- add post install schemas

* Sun Oct 11 2009 Texstar <texstar at gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri May 29 2009 Texstar <texstar@gmail.com> 2.23.3-4pclos2009
- add BR libgstreamer0.10_0.10-devel

* Mon May 11 2009 Texstar <texstar@gmail.com> 2.24.3-3pclos2009
- rebuild

* Fri Jan 16 2009 don_crissti <don_crissti@gmx.com> 2.24.3-2pclos2007
+ added --enable-policykit to configure
+ BR: unique-devel
- rediff patches


